#include <bits/stdc++.h>
using namespace std;
#define endl '\n'
int main()
{
    long long n, l, h[10001];
    cin >> n >> l;
    for (long long i = 0; i < n; i++) cin >> h[i];
    long long ind = 0;
    while (ind < n && l < h[ind]) ind++;
    if (ind == n) cout << -1;
    else cout << ind+1;
    return 0;
}